package creators;

import java.awt.Color;
import writingtools.*;

public class GraphicArtist {
	// code for fields and methods

	public void createSign(WritingInstrument tool) {
		// Write the motto in big letters and in a proper Hokie color.
		// We can call any other methods defined in WritingInstrument here,
		// but not methods that are only defined in one of the WritingInstrument
		// subclasses.
		Color burntOrange = new Color(232, 119, 34);  //RGB values
		tool.setColor(burntOrange);
		tool.setSize(24);
		tool.write("Ut Prosim");
	}

	// more code for methods

	public static void main(String[] args) {
		// Make a few writing instruments and create a sign in each
		Marker smellyMarker = new Marker();
		smellyMarker.setSmelly(true);

		Pencil pencil = new Pencil("Comic Sans");
		Pencil pencil1 = new Pencil();

		Crayon stubbyCrayon = new Crayon();
		stubbyCrayon.setLength(1.0);

		GraphicArtist artist = new GraphicArtist();

		// GraphicArtist.createSign(...) knows how to create a sign using any
		// kind of WritingInstrument. This will make a sign with each:
//		artist.createSign(smellyMarker);
//		artist.createSign(pencil);
//		artist.createSign(stubbyCrayon);
	
		
		artist.createSign(pencil);
		artist.createSign(pencil1);

	}

}

//So you could refactor the code in GraphicArtist.createSign(...) and Writer.main(...) a bit, so that createSign(...) has all of the knowledge of the sign you want, but knows nothing of the tool details, while Writer.main(...) knows the tool details but doesn’t know how to make the sign. something like this (untested):

//		public void createSign(WritingInstrument tool) {
//	 // Write the motto in big letters and in a proper Hokie color.
//	 // We can call any other methods defined in WritingInstrument here,
//	 // but not methods that are only defined in one of the WritingInstrument
//	 // subclasses.
//	 tool.setColor(Color.ORANGE);
//	 tool.setSize(24);
//	 tool.write("Ut Prosim");
//	 }
//	 
//	 
//	 
//	 public static void main(String[] args) {
//	 // Make a few writing instruments and create a sign in each
//	 Marker smellyMarker = new Marker();
//	 smellyMarker.setSmelly(true);
//
//	 Pencil pencil = new Pencil();
//
//	 Crayon stubbyCrayon = new Crayon();
//	 stubbyCrayon.setLength(1.0);
//
//	 GraphicArtist2 artist = new GraphicArtist2();
//
//	 // GraphicArtist.createSign(...) knows how to create a sign using any
//	 // kind of WritingInstrument. This will make a sign with each:
//	 artist.createSign(smellyMarker);
//	 artist.createSign(pencil);
//	 artist.createSign(stubbyCrayon);
//
//	 }
