/**
 * 
 */
package writingtools;

/**
 * @author techstaff
 *
 */
public class Pencil extends WritingInstrument {
	private boolean sharpened;
	private int usageCount;
	private String font;
	
	public Pencil() {
		super();
		sharpened = false;
		usageCount = 0;
		font = "Arial Narrow";
	}
	
	public Pencil(String font) {
		this();
		this.font = font;
	}
	
	public String getFont() {
		return font;
	}
	
	public void sharpen() {
		sharpened = true;
		usageCount = 0;
	}
	
	private void usageUpdate() {
		usageCount++;
		if (usageCount >= 4) {
			sharpen();
		}
	}
	
	public void write(String message) {
		if (!sharpened) {
			sharpen();
		}
		super.write(message, font);	
		usageCount++;
		
	}
	
//	public void erase() {
//		super.write("");
//	}

}
